Description

Alphabetical options for the "Files of type" drop down for adding vector and raster layers could be more intuitive than current list.

History

#1 - 2009-08-06 11:14 AM - paulp575 -

When doing so, I think it would be best to alphabetize by file extension rather than name of file, but still provide the description of the file type before the file

extsion. For example:

SDTS Raster (*.ddf *.DDF)

[[MrSID]] JPEG2000 (*.jp2 *.j2k  *.JP2  *.J2K)

[[GeoTIFF]] (*,tif, *.TIF)

And so forth.

#2 - 2010-06-11 10:39 PM - Paolo Cavallini

However, another view is that more popular types should stay on top

#3 - 2010-07-08 06:46 AM - Charles Timko -

So then, 3 different orders...Sort by File Extension, File Type Name, or Popular?

#4 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2013-11-22 11:23 AM - Antonio Locandro

I think its more natural as user experience for you to look the alphabetical order of the first item of the list, in this case since you have the file name it should

be order by it. If you happen to use on type of files more frequently than others than it wouldn't really matter as the file add dialog remembers your last

2025-05-17 1/2



choice and if you need to change your choice it just feels faster to look at an alphabetical ordered list.

Something similar to what Gimp open image menu, maybe even add an additional all vector files that would encompass all supported OGR formats

#8 - 2014-05-21 10:59 AM - Antonio Locandro

I think this was implemented in current master, if I am correct maybe time to close this ticket

#9 - 2014-05-21 11:20 AM - Etienne Tourigny

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

yes, this has been updated in master a few days ago.
